/** 
 * main.java
 *
 * Title:	BeeperLayer Program		
 * Description:	A field of beepers must be "planted"
 *				The field consists of 5 rows of beepers, 4 columns to a
 *				row. Odd numbered rows will have two beepers per
 *				corner, and even numbered rows will have three
 *				beepers per corner
 * @author		Bergin		
 * @version			
 */
package kareltherobot;


public class Main implements Directions {

	
	public static void task() {
		BeeperLayer Lisa = null;
		Lisa = new TwoRowLayer(1, 3, East, infinity);
		Lisa.layBeepers();
		Lisa = new ThreeRowLayer(2, 3, East, infinity);
		Lisa.layBeepers();
		Lisa = new TwoRowLayer(3, 3, East, infinity);
		Lisa.layBeepers();
		Lisa = new ThreeRowLayer(4, 3, East, infinity);
		Lisa.layBeepers();
		Lisa = new TwoRowLayer(5, 3, East, infinity);
		Lisa.layBeepers();
	}

	// Main entry point
	static public void main(String[] args) {
		World.setDelay(20);
		World.readWorld("beeperLayer.txt");
		task();
	}
}
